ReferenceAutomationsExecutions
List execution history and attention notifications
List execution history and attention notifications - GET /automations/executions. DocDealer REST API reference.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
ruleId?string
Format
uuidstatus?string
Value in
- "pending"
- "running"
- "succeeded"
- "failed"
- "retry_wait"
- "unknown"
- "cancelled"
from?string
Format
date-timeto?string
Format
date-timepage?integer
Range
1 <= value <= 1000000Default
1pageSize?integer
Range
1 <= value <= 100Default
25Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/automations/executions"{ "executions": [ null ], "page": 0, "pageSize": 0, "total": 0}Get the canonical automation definition JSON Schema GET
Get the canonical automation definition JSON Schema - GET /automations/definition-schema. DocDealer REST API reference.
Export every matching execution for CSV serialization, without pagination GET
Export every matching execution for CSV serialization, without pagination - GET /automations/executions/export. DocDealer REST API reference.